[H87N-WIFI, Realtek ALC892, Green Line Out, Rear] Underruns, dropouts or crackling sound

Bug #1203235 reported by Brian A on 2013-07-20
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

Out of the box, ubuntu has intermittent crackling sounds on this hardware. I've tried turning off other sound devices, switching fully to ALSA, tweaking config files with stuff described here: https://wiki.ubuntu.com/Audio/PositionReporting and various other things. Nothing seems to alleviate the issues of crackling sound.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: alsa-base 1.0.25+dfsg-0ubuntu4
ProcVersionSignature: Ubuntu 3.8.0-26.38-generic 3.8.13.2
Uname: Linux 3.8.0-26-generic x86_64
ApportVersion: 2.9.2-0ubuntu8.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC2: brian 1732 F.... pulseaudio
 /dev/snd/controlC1: brian 1732 F.... pulseaudio
 /dev/snd/controlC0: brian 1732 F.... pulseaudio
Date: Fri Jul 19 23:22:05 2013
InstallationDate: Installed on 2013-07-15 (4 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH failed
Symptom_Card: Built-in Audio - HDA Intel PCH
Symptom_Jack: Green Line Out, Rear
Symptom_Type: Underruns, dropouts, or "crackling" sound
Title: [H87N-WIFI, Realtek ALC892, Green Line Out, Rear] Underruns, dropouts or crackling sound
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/07/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F1
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: H87N-WIFI
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF1:bd05/07/2013:svnGigabyteTechnologyCo.,Ltd.:pnH87N-WIFI:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnH87N-WIFI:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: H87N-WIFI
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Brian A (brianahr) wrote :
Raymond (superquad-vortex2) wrote :

seem jack detection problem (plugged in and plugged out many times for a short period of time)

you may need to study the user manual of the motherboard/computer chassis and check the connection of your computer chassis front audio panel

Jul 19 23:22:55 armory pulseaudio[1732]: ( 1.866| 1.866) [pulseaudio] module-alsa-card.c: Jack 'Front Headphone Jack' is now plugged in
Jul 19 23:22:55 armory pulseaudio[1732]: ( 1.866| 0.000) [pulseaudio] device-port.c: Setting port analog-output-headphones to status yes
Jul 19 23:22:55 armory pulseaudio[1732]: ( 1.866| 0.000) [pulseaudio] module-switch-on-port-available.c: finding port analog-output-headphones
Jul 19 23:22:55 armory pulseaudio[1732]: ( 1.866| 0.000) [alsa-sink] alsa-mixer.c: Activating path analog-output-headphones

Jul 19 23:22:55 armory pulseaudio[1732]: ( 1.866| 1.866) [pulseaudio] module-alsa-card.c: Jack 'Front Headphone Jack' is now plugged in
Jul 19 23:22:55 armory pulseaudio[1732]: ( 1.866| 0.000) [pulseaudio] device-port.c: Setting port analog-output-headphones to status yes
Jul 19 23:22:55 armory pulseaudio[1732]: ( 1.866| 0.000) [pulseaudio] module-switch-on-port-available.c: finding port analog-output-headphones
Jul 19 23:22:55 armory pulseaudio[1732]: ( 1.866| 0.000) [alsa-sink] alsa-mixer.c: Activating path analog-output-headphones

Jul 19 23:22:56 armory pulseaudio[1732]: ( 3.082| 1.172) [pulseaudio] module-alsa-card.c: Jack 'Front Headphone Jack' is now plugged in
Jul 19 23:22:56 armory pulseaudio[1732]: ( 3.082| 0.000) [pulseaudio] device-port.c: Setting port analog-output-headphones to status yes
Jul 19 23:22:56 armory pulseaudio[1732]: ( 3.082| 0.000) [pulseaudio] module-switch-on-port-available.c: finding port analog-output-headphones
Jul 19 23:22:56 armory pulseaudio[1732]: ( 3.082| 0.000) [alsa-sink] alsa-mixer.c: Activating path analog-output-headphones

Brian A (brianahr) wrote :

That's interesting. This is a brand-new computer build - new motherboard and case. I get the same problem if I connect the cable to the connectors that are directly on the motherboard, and also if I plug it into the headphone jack that is built into the case. Interestingly though, this exact setup (same cable, same sound file) works flawlessly with my macbook air.

Brian A (brianahr) wrote :

Sadly turning off the auto-mute feature does not fix this for me.

Raymond (superquad-vortex2) wrote :

you can try

codec->no_trigger_sense = 1;

in patch_realtek.c

so that the driver do not issue set_pin_sense before get_pin_sense to presence detect of the pin

Pincap 0x0001003e: IN OUT HP EAPD Detect Trigger

some hda codec (e.g adi and idt codecs get noise because set_pin_sense trigger an unsolicited event loop)

http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_sigmatel.c?id=bfc9902599549736b9c6445e1e2235b8542f64a6

http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_analog.c?id=729d55ba972348234759f8e40abf8de020f0d505

Brian A (brianahr) wrote :

Do I need to do a full kernel build to do that? Or can I just recompile the sound modules? Do you know of any updated instructions for how to do this for ubuntu? Thanks.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Mike (pmike2001) wrote :

I have same hardware and same problem (Ubuntu 12.04.2, kernel is 3.8.0-29, backported from raring).
This is not kernel bug, however. It's a dupe to bug 874535.

See https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/874535/comments/28 for possible workaround.

Mike (pmike2001) wrote :

Go to: /etc/pulse/default.pa and comment out the following line with a # sign:
load-module module-switch-on-port-available

Found here:
http://askubuntu.com/questions/293632/sound-problem-on-both-speakers-and-headphones

Raymond (superquad-vortex2) wrote :

> http://askubuntu.com/questions/293632/sound-problem-on-both-speakers-and-headphones

HP dv6-2190ep laptop has two headphone jacks, speaker is automuted when user plug any headphone Jack, but only auto injured when both headphone jacks are unplugged

Brian A (brianahr) wrote :

I can confirm that commenting out this line fixes it for me:

load-module module-switch-on-port-available

Mike (pmike2001) wrote :

Summarizing, to fix sound distortion it's necessary to apply two fixes, one for alsa and other for pulseaudio.
Pulse config change retains after reboot and possibly "survives" pulseaudio package upgrade(s).

Alsa need mute fix to be re-applied after reboot, and it can be done automatically. Add line
/usr/bin/amixer -c 2 sset 'Auto-Mute Mode' 'Disabled' > /dev/null
to /etc/rc.local file before line "exit 0", where "-c 2" is number of sound card in my system and may vary in yours.

Arvind (arvind0) wrote :

Still seeing this on Ubuntu 13.10. The 2 steps mentioned in #13 do solve the problem. However, as a result the speakers don't mute when a headphone is plugged into front jack.

I can confirm that plugging in headphones prevents the jack state from flapping. Also, when the state is flapping, the plugged in/out follow each other with <0.5 second delay. The jack never settles on plugged in when it is flapping. Could this bug be fixed by waiting ~0.5 second, before accepting a newly plugged in jack? While waiting, if we get a jack plugged out, then cancel the pending operation.

Raymond (superquad-vortex2) wrote :

disable trigger sense for alc892 codec

The attachment "alc892_no_trigger_sense.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.